Bug 155873 - RegExp constructor should use Symbol.match and other properties
Summary: RegExp constructor should use Symbol.match and other properties
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keith Miller
URL:
Keywords:
Depends on: 156299
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-24 22:34 PDT by Keith Miller
Modified: 2016-04-06 11:48 PDT (History)
4 users (show)

See Also:


Attachments
Patch (11.34 KB, patch)
2016-03-25 09:42 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Patch for landing (16.34 KB, patch)
2016-04-04 16:59 PDT, Keith Miller
no flags Details | Formatted Diff | Diff
Patch for landing (9.64 KB, patch)
2016-04-06 10:26 PDT, Keith Miller
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Miller 2016-03-24 22:34:15 PDT
RegExp constructor should use Symbol.match and other properties
Comment 1 Keith Miller 2016-03-25 09:42:20 PDT
Created attachment 274911 [details]
Patch
Comment 2 Michael Saboff 2016-03-25 10:59:59 PDT
Comment on attachment 274911 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=274911&action=review

r=me

> Source/JavaScriptCore/runtime/RegExpConstructor.cpp:281
>  // ECMA 15.10.4

Please update the spec reference.
Comment 3 Keith Miller 2016-04-04 16:59:21 PDT
Created attachment 275594 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2016-04-04 22:16:05 PDT
Comment on attachment 275594 [details]
Patch for landing

Rejecting attachment 275594 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-02', 'build', '--no-clean', '--no-update', '--build-style=release', '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 500 characters of output:
: *** Waiting for unfinished jobs....
make: *** [Bytecodes.h] Error 1
perl JavaScriptCore/Scripts/xxd.pl InjectedScriptSource_js ./InjectedScriptSource.min.js InjectedScriptSource.h
rm -f InjectedScriptSource.min.js
Command /bin/sh failed with exit code 2

** BUILD FAILED **


The following build commands failed:
	PhaseScriptExecution Generate\ Derived\ Sources /Volumes/Data/EWS/WebKit/WebKitBuild/JavaScriptCore.build/Release/Derived\ Sources.build/Script-65FB3F6509D11E9100F49DEB.sh
(1 failure)

Full output: http://webkit-queues.webkit.org/results/1101397
Comment 5 Keith Miller 2016-04-06 10:26:42 PDT
Created attachment 275780 [details]
Patch for landing
Comment 6 WebKit Commit Bot 2016-04-06 11:26:14 PDT
Comment on attachment 275780 [details]
Patch for landing

Clearing flags on attachment: 275780

Committed r199106: <http://trac.webkit.org/changeset/199106>
Comment 7 WebKit Commit Bot 2016-04-06 11:26:17 PDT
All reviewed patches have been landed.  Closing bug.
Comment 8 WebKit Commit Bot 2016-04-06 11:40:56 PDT
Re-opened since this is blocked by bug 156299
Comment 9 Keith Miller 2016-04-06 11:48:19 PDT
Requested rollout on the wrong patch.